Summary:	Chess variant that cause surronding pieces to disappear
Summary(ja):	チェスの変種 周囲の駒も消滅します。
Name:		nuclearchess
Version:	1.0.0
Release:	1%{?_dist_release}
License:	GPL
Source:		%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
Group:          Applications/Games
URL:		http://www.linux-games.com/nuclearchess/
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	SDL_image-devel
Requires:	SDL_image

Vendor: Project Vine
Distribution: Vine Linux

%description
NuclearChess is a chess variant. Whenever a piece is captured, both
pieces and all pieces on neighbour fields die.

%description -l ja
チェスの変種。
駒同士がぶつかった時、二つの駒と周囲の駒が消滅します。

%prep
%setup -q

%build
%configure --datadir=%{_datadir} --bindir=%{_bindir}
make

%install
rm -rf %{buildroot}
%makeinstall

# install desktop
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -p -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

# install icon
mkdir -p ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps
install -p -m 0644 %{SOURCE2} ${RPM_BUILD_ROOT}/%{_datadir}/pixmaps/%{name}.png

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}*
%{_datadir}/applications/%{name}*

%changelog
* Wed Oct 08 2008 Shu KONNO <owa@bg.wakwak.com> 1.0.0-1vl5
- new upstream release
- applied new versioning policy, spec in utf-8

* Sun Jul 30 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.2-3vl3
- rebuilt for VineSeed (4.0)
- changed Group to Applications/Games

* Sun May 22 2005 OOI Keita <ooi.keita@gmail.com> 0.9.2-3vl2
- euc spec file

* Mon Mar 14 2005 OOI Keita <ooi.keita@gmail.com> 0.9.2-3vl1
- build
- add desktop entry and icon
